Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.hooks
Class ODEAxisService

    java.lang.Object
      org.apache.ode.axis2.hooks.ODEAxisService

    public class ODEAxisService

extends java.lang.Object

Implementation of Axis Service used by ODE iapi to enlist itself its service. Allows us to build the service using a WSDL definition using our own receiver.

Nested Class Summary
`static class` | `ODEAxisService.WSDL11ToAxisPatchedBuilder`

Constructor Summary
`ODEAxisService()`

Method Summary
`static org.apache.axis2.description.AxisService` | `createService(org.apache.axis2.engine.AxisConfiguration axisConfig, ProcessConf pconf, javax.xml.namespace.QName wsdlServiceName, java.lang.String portName)`
`static org.apache.axis2.description.AxisService` | `createService(org.apache.axis2.engine.AxisConfiguration axisConfig, javax.xml.namespace.QName serviceQName, java.lang.String port, java.lang.String axisName, javax.wsdl.Definition wsdlDef, org.apache.axis2.engine.MessageReceiver receiver)`
`static java.lang.String` | `deriveBaseServiceUri(ProcessConf pconf)`
`protected static java.lang.String` | `parseURLForService(java.lang.String path, java.lang.String baseUri)` Obtain the service name from the request URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ODEAxisService

    public ODEAxisService()

Method Detail

### createService

    public static org.apache.axis2.description.AxisService createService(org.apache.axis2.engine.AxisConfiguration axisConfig,
                                                                         ProcessConf pconf,
                                                                         javax.xml.namespace.QName wsdlServiceName,
                                                                         java.lang.String portName)
                                                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### createService

    public static org.apache.axis2.description.AxisService createService(org.apache.axis2.engine.AxisConfiguration axisConfig,
                                                                         javax.xml.namespace.QName serviceQName,
                                                                         java.lang.String port,
                                                                         java.lang.String axisName,
                                                                         javax.wsdl.Definition wsdlDef,
                                                                         org.apache.axis2.engine.MessageReceiver receiver)
                                                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### parseURLForService

    protected static java.lang.String parseURLForService(java.lang.String path,
                                                         java.lang.String baseUri)

  Obtain the service name from the request URL. The request URL is expected to use the path "/processes/" under which all processes and their services are listed. Returns null if the path does not contain this part.

### deriveBaseServiceUri

    public static java.lang.String deriveBaseServiceUri(ProcessConf pconf)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD